Bug 121866 - new-kernel-pkg doesn't check that kernel supports large enough initrd
new-kernel-pkg doesn't check that kernel supports large enough initrd
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-04-28 14:59 EDT by Mark Frazer
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-02 17:56:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark Frazer 2004-04-28 14:59:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
When installing a linus kernel, 'make install' runs
/sbin/installkernel which then runs /sbin/new-kernel-pkg

/sbin/new-kernel-pkg should check that the .config for the current
kernel contains CONFIG_BLK_DEV_INITRD=y and that
CONFIG_BLK_DEV_RAM_SIZE is set to be >= the size of the uncompressed
initrd that mkinitrd creates.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  install a linus kernel from kernel.org
2.  use the default ram disk size
3.  reboot

Additional info:

There are a lot of hits on this topic if you google for "VFS: Cannot
open root device "LABEL=/" or unknown-block(0,0)", but not too many
correct answers.  It would be nice if Fedora told people not intimate
with kernel configuration that they had made a mistake.
Comment 1 Jeremy Katz 2004-08-02 17:56:49 EDT
With 2.6 kernels and mkinitrd 4.x, we'll instead create an initramfs
which doesn't have this requirement.

Note You need to log in before you can comment on or make changes to this bug.